.AUTODEPEND

#		*Translator Definitions*
CC = bcc +LIBDES.CFG
TASM = TASM
TLIB = tlib
TLINK = tlink
LIBPATH = C:\BORLANDC\LIB
INCLUDEPATH = C:\BORLANDC\INCLUDE


#		*Implicit Rules*
.c.obj:
  $(CC) -c {$< }

.cpp.obj:
  $(CC) -c {$< }

#		*List Macros*


LIB_dependencies =  \
 ecb_enc.obj \
 3ecb_enc.obj \
 cbc_cksm.obj \
 cbc_enc.obj \
 3cbc_enc.obj \
 cfb_enc.obj \
 ofb_enc.obj \
 enc_read.obj \
 enc_writ.obj \
 pcbc_enc.obj \
 qud_cksm.obj \
 rand_key.obj \
 read_pwd.obj \
 set_key.obj \
 str2key.obj \
 fcrypt.obj

#		*Explicit Rules*
libdes.lib: libdes.cfg $(LIB_dependencies)
  - del libdes.lib
  $(TLIB) $< /0/E @&&|
-+ecb_enc.obj &
-+3ecb_enc.obj &
-+cbc_cksm.obj &
-+cbc_enc.obj &
-+3cbc_enc.obj &
-+cfb_enc.obj &
-+ofb_enc.obj &
-+enc_read.obj &
-+enc_writ.obj &
-+pcbc_enc.obj &
-+qud_cksm.obj &
-+rand_key.obj &
-+read_pwd.obj &
-+set_key.obj &
-+str2key.obj &
-+fcrypt.obj
|


#		*Individual File Dependencies*
ecb_enc.obj: libdes.cfg ecb_enc.c 

3ecb_enc.obj: libdes.cfg 3ecb_enc.c 

cbc_cksm.obj: libdes.cfg cbc_cksm.c 

cbc_enc.obj: libdes.cfg cbc_enc.c 

3cbc_enc.obj: libdes.cfg 3cbc_enc.c 

cfb_enc.obj: libdes.cfg cfb_enc.c 

ofb_enc.obj: libdes.cfg ofb_enc.c 

enc_read.obj: libdes.cfg enc_read.c 

enc_writ.obj: libdes.cfg enc_writ.c 

pcbc_enc.obj: libdes.cfg pcbc_enc.c 

qud_cksm.obj: libdes.cfg qud_cksm.c 

rand_key.obj: libdes.cfg rand_key.c 

read_pwd.obj: libdes.cfg read_pwd.c 

set_key.obj: libdes.cfg set_key.c 

str2key.obj: libdes.cfg str2key.c 

fcrypt.obj: libdes.cfg fcrypt.c 

#		*Compiler Configuration File*
libdes.cfg: libdes.mak
  copy &&|
-f-
-ff-
-j0
-g0
-O
-Oe
-Ob
-Z
-k-
-d
-vi-
-wbbf
-wamb
-wamp
-wasm
-wpro
-wdef
-wsig
-wnod
-wstv
-wucp
-wuse
-weas
-wpre
-I$(INCLUDEPATH)
-L$(LIBPATH)
-DMSDOS=1
| libdes.cfg


