#include <stdio.h>
#include <conio.h>

#include "asy.h"

int main(int argc, char *argv[])
{
    int cnt, ch, extended, done;

    if ( asy_init(COM3,0x3E8,5,1024,-1,38400L,1,0,0) < 0 ) {
	cprintf("Error inicializando COM%d\n",COM3+1);
	return -1;
    }

    if ( asy_ioctl(COM3,PARAM_UP,0,(int32)0) < 0 ) {
	cprintf("Error PARAM_UP ioctl COM%d\n",COM3+1);
	return -1;
    }

    done = FALSE;

    while ( ! done ) {
	while ( (cnt = asy_rxcheck(COM3)) > 0 ) {
	    while ( cnt-- ) {
		putch(get_asy(COM3));
	    }
	}

	if ( kbhit() ) {
	    extended = FALSE;

	    if ( ! (ch = getch()) ) {
		ch = getch();
		extended = TRUE;
	    }

	    if ( ! extended ) {
		while ( asy_txcheck(COM3) );
		asy_write(COM3,&ch,1);
	    }
	    else {
		switch ( ch ) {
		    case 59:	/* F1 */
		       asy_info(COM3,cprintf);
		    break;

		    case 117:	/* CTRL+FIN */
			done = TRUE;
		    break;
		}
	    }
	}
    }

    if ( asy_ioctl(COM3,PARAM_DOWN,0,(int32)0) < 0 ) {
	cprintf("Error PARAM_DOWN ioctl COM%d\n",COM3+1);
	return -1;
    }

    if ( asy_stop(COM3) < 0 ) {
	cprintf("Error liberando COM%d\n",COM3+1);
	return -1;
    }

    return 0;
}

